Package org.eclipse.emf.compare.rcp.internal.match

# Class DefaultRCPMatchEngineFactory

java.lang.Object
org.eclipse.emf.compare.rcp.internal.match.DefaultRCPMatchEngineFactory

All Implemented Interfaces:
  `IMatchEngine.Factory`

public class DefaultRCPMatchEngineFactory extends Object implements IMatchEngine.Factory
Implementation of `IMatchEngine.Factory` for the `DefaultMatchEngine` that can be configured.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.IMatchEngine.Factory

`IMatchEngine.Factory.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UseIdentifiers`
`DEFAULT_USE_IDENTIFIER_ATRIBUTE`
Default value of USE_IDENTIFIER_ATTR attribute.
`static final String`
`USE_IDENTIFIER_ATTR`
Attribute used to retrieve UseIdentifier attribute from preferences.

## Constructor Summary

Constructors
Constructor
Description
`DefaultRCPMatchEngineFactory()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IMatchEngine`
`getMatchEngine()`
Returns the wrapped match engine.
`int`
`getRanking()`
Returns the ranking of this match engine factory.
`static UseIdentifiers`
`getUseIdentifierValue()`
Parse the input preference to retrieve the value of `USE_IDENTIFIER_ATTR`.
`boolean`
`isMatchEngineFactoryFor(IComparisonScope scope)`
Check if the match engine factory is a good candidate for comparison.
`void`
`setRanking(int inputRank)`
Set the ranking of this match engine factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USE_IDENTIFIER_ATTR

public static final String USE_IDENTIFIER_ATTR
Attribute used to retrieve UseIdentifier attribute from preferences.

See Also:
  - Constant Field Values

### DEFAULT_USE_IDENTIFIER_ATRIBUTE

public static final UseIdentifiers DEFAULT_USE_IDENTIFIER_ATRIBUTE
Default value of USE_IDENTIFIER_ATTR attribute.

## Constructor Details

### DefaultRCPMatchEngineFactory

public DefaultRCPMatchEngineFactory()
Constructor.

## Method Details

### getUseIdentifierValue

public static UseIdentifiers getUseIdentifierValue()
Parse the input preference to retrieve the value of `USE_IDENTIFIER_ATTR`.

Returns:
  The value of `USE_IDENTIFIER_ATTR`.

### getMatchEngine

public IMatchEngine getMatchEngine()
Returns the wrapped match engine.

Specified by:
  `getMatchEngine` in interface `IMatchEngine.Factory`
Returns:
  the wrapped match engine.

### getRanking

public int getRanking()
Returns the ranking of this match engine factory.

Specified by:
  `getRanking` in interface `IMatchEngine.Factory`
Returns:
  The ranking.

### setRanking

public void setRanking(int inputRank)
Set the ranking of this match engine factory.

Specified by:
  `setRanking` in interface `IMatchEngine.Factory`
Parameters:
  `inputRank` - The ranking.

### isMatchEngineFactoryFor

public boolean isMatchEngineFactoryFor(IComparisonScope scope)
Check if the match engine factory is a good candidate for comparison.

Specified by:
  `isMatchEngineFactoryFor` in interface `IMatchEngine.Factory`
Parameters:
  `scope` - The scope on which the match engine factory will be applied.
Returns:
  True if it is the good candidate, false otherwise.